Skip to:
Content
Pages
Categories
Search
Top
Bottom

Trouble adding another version of bbpress to my site


  • rlebowitz10463
    Member

    @rlebowitz10463

    Hi,

    I have bbpress 1.0.2 installed on my site. I recently tried to install bbpress 0.9 on my site as well.

    (I did this because my registration emails were not working on bbpress 1.0.2 and I wanted to install a plug-in that allowed immediate password assignment upon registration, thus by-passing the need for emails. This plug-in only works with 0.9, so that’s why I installed it.)

    However, after initially configuring 0.9, I receive an error message : “Could not determine site URI” (http://polina-such.freehostia.com/bbpress0.9/)

    I contacted my host, and they said that the bb-config-sample.php files are different, which causes the problem with the installation. They pointed me back here, to the forums, for help.

    So my questions are:

    1) Is it possible to install two versions of bbpress in one site?

    2) If so, how do I configure the second bb-config-sample.php file?

    Thank you for any assistance!

    Robert

Viewing 5 replies - 1 through 5 (of 5 total)

  • johnhiler
    Member

    @johnhiler

    Are you using the same database table for both? Is each table using different prefixes?


    rlebowitz10463
    Member

    @rlebowitz10463

    John,

    Thank you.

    I am using the same database table for both and am using the same prefixes for each table.

    Judging by your questions, I assume this is a problem!

    Can you tell me how to correct this, i.e., when and how to change the prefixes or use a different database table? I am very inexperienced with databases.

    Thank you!

    Robert


    johnhiler
    Member

    @johnhiler

    Each install should have its own prefix… this may help!

    http://bbpress.org/forums/topic/multiple-forums-in-a-single-database-change-prefix-to-what

    Before advising on how to install 0.9 correctly… first, did installing 0.9 mess up your 1.0 bbpress install?


    rlebowitz10463
    Member

    @rlebowitz10463

    John,

    Thank very much for the link and for replying.

    To answer your question, no, installing 0.9 did not mess up my 1.0 install; my 1.0 still works.

    Any advice you have on installing 0.9 properly would be greatly appreciated!

    Thanks again,

    Robert


    Ashfame
    Participant

    @ashfame

    1.0 wouldn’t be affected nothing will change in database but in 0.9 it will expect data as per 0.9 whereas it will be available as 1.0

    Just change the prefix for 0.9 and reinstall

Viewing 5 replies - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.